﻿
$ErrorActionPreference = 'Stop';

$softVersion = '5.1.5'
$shortVersion = '5.1.5'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${shortVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = 'A5160AF614D143C695690D37B7D48ED98FD19733BB4CC32DD71C4C78E17D6693'
  checksumType  = 'sha256'
  checksum64    = 'B2E6422F3C3FAE5454FABE822A2CFD6A3E81CAB4E80B07312A43D1075BDB16D0'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'

$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
